AUPARSE_GET_TYPE(3)

NAME
auparse_get_type - get record's type

SYNOPSIS
#include <auparse.h>

int auparse_get_type(auparse_state_t *au); const char *auparse_get_type_name(auparse_state_t *au);

DESCRIPTION
auparse_get_type will return the integer value for the current record of the current event. The auparse_get_type_name function will return the text representation of the name of the current record type.

RETURN VALUE
auparse_get_type returns 0 if an error occurs; otherwise, the record's type. The auparse_get_type_name function returns NULL on error; otherwise a pointer to a string.

SEE ALSO
auparse_next_record(3).

AUTHOR
Steve Grubb